Create a PDF template
Roles
Analytics Events
/v2/credentials/compact/pdf/templatesCreates a CWT credential PDF template based on a provided .zip file. Refer to our PDF template design guide for more information on how to design a template and structure the .zip file.
Analytic events
- CREDENTIAL_COMPACT_PDF_TEMPLATE_CREATE_START
- CREDENTIAL_COMPACT_PDF_TEMPLATE_CREATE_SUCCESS
- CREDENTIAL_COMPACT_PDF_TEMPLATE_CREATE_FAIL
Authorization
bearerAuth In: header
Request Body
application/zip
binaryResponse Body
application/json
application/json
application/json
curl -X POST "https://example.vii.au01.mattr.global/v2/credentials/compact/pdf/templates" \ -H "Content-Type: application/zip" \ -d 'string'{
"id": "4eea7654-d4c5-4eba-bd7a-5ca334d54725",
"name": "Certificate of participation",
"fileName": "certificate_of_participation",
"fonts": [
{
"name": "PublicSans-Regular",
"fileName": "fonts/PublicSans-Regular.ttf"
}
],
"metadata": {
"title": ""
},
"fields": [
{
"key": "familyName",
"value": "{{payload.sub_claims.familyName}}",
"isRequired": true,
"alternativeText": "{{payload.sub_claims.familyName}}",
"fontName": "PublicSans-Regular"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}{
"code": "string",
"message": "string",
"details": [
{
"value": "string",
"msg": "Invalid value",
"param": "id",
"location": "body"
}
]
}How would you rate this page?
Format a CWT credential as a Google Pass POST
Returns a Google Pass representation of a provided CWT credential based on an existing Google Pass template. <Callout> The request will fail if the provided credential isn't valid or has expired. </Callout> ### **Analytic events** * CREDENTIAL_COMPACT_GOOGLE_PASS_CREATE_START * CREDENTIAL_COMPACT_GOOGLE_PASS_CREATE_SUCCESS * CREDENTIAL_COMPACT_GOOGLE_PASS_CREATE_FAIL
Retrieve all PDF templates GET
Retrieves a list of all CWT credentials PDF templates available on the tenant. ### **Analytic events** * CREDENTIAL_COMPACT_PDF_TEMPLATE_RETRIEVE_LIST_START * CREDENTIAL_COMPACT_PDF_TEMPLATE_RETRIEVE_LIST_SUCCESS * CREDENTIAL_COMPACT_PDF_TEMPLATE_RETRIEVE_LIST_FAIL